$(document).ready(function(){
    $("#myInput").on("keyup", function() {
      var value = $(this).val().toLowerCase();
      $("#myTable tr").filter(function() {
        $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
      });
    });

    $('#paginador ul').addClass('btn-group mr-2');
    $('#paginador ul li').addClass('btn btn-sm btn-outline-secondary');
  });
/*=== Buscar por rol mediante ajax ===//
function filtrarUsuarios(userRole) {
  var $filtroUsuarios = $('#filtroUsuarios');
  var url = $filtroUsuarios.attr('url');
  var url2 = $filtroUsuarios.attr('url2');
  $.getJSON( url+"/"+userRole, function( data ) {
      var input = '';
      $('#myTable').html('');
      $.each( data, function( key, val ) {
        input += '<tr style="cursor:pointer;" onclick='+"window.location='"+url2+'/'+val.id+"'>";
				input += '<td>'+val.name+'</td>';
				input += '<td>'+val.surname+'</td>';
				input += '<td>'+val.email+'</td>';
				input += '<td>'+val.role+'</td>';
				input += '</tr>';
      });
      if(userRole == 'todos') {
        location.reload();
      }
      $('#myTable').append(input);
     
    });
    $('#paginador').html('');
}*/

//=== Buscar por rol actualizando el servidor ===//
function filtrarUsuariosServidor(rol) {
  var $filtroUsuarios = $('#filtroUsuarios');
  var url = $filtroUsuarios.attr('url');
  if(rol == 'todos'||rol == '') {
    location.assign(url);
  }else {
    window.location.assign(url+'/'+rol);
    
  }
}

function eliminarUser(url, url2) {swal({
  title: "Eliminar usuario?",
  text: "Al ejecutar esta accion no podra revertir los datos?",
  icon: "warning",
  buttons: true,
  dangerMode: true,
})
.then((willDelete) => {
  if (willDelete) {
    swal("Usuario eliminado!", {
      icon: "success",
    });    
      $.ajax({                         
      url:url,                      
      success: function(data)             
      {
          setTimeout(function(){
              location.assign(url2)
          },2000);
      }
   });
  }
});
}

$('#iconEliminarUser').click(function (e) { 
  var $this = $(this);
  swal({
      title: "Eliminar usuario?",
      text: "Al ejecutar esta accion no podra revertir los datos?",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        swal("Usuario eliminado!", {
          icon: "success",
        });    
          $.ajax({                         
          url: $this.attr('url'),                      
          success: function(data)             
          {
              setTimeout(function(){
                  location.assign($this.attr('url2'))
              },2000);
          }
       });
      }
    });
  
});

function destroyAppUser(destroy) {
  console.log('destruido');
  swal({
    title: "Eliminar aplicacion a este usuario?",
    text: "Al ejecutar esta accion no podra revertir los datos?",
    icon: "warning",
    buttons: true,
    dangerMode: true,
  })
  .then((willDelete) => {
    if (willDelete) {
      swal("Aplicacion eliminarda del usuario!", {
        icon: "success",
      });    
        $.ajax({                         
        url: destroy,                      
        success: function(data)             
        {
            setTimeout(function(){
              location.reload();
            },2000);
        }
     });
    }
  });
}
$(document).ready(function () {
  $("#formulario-asignar-user").submit(function(e){
    e.preventDefault();
    var $this = $(this);
    var data = $(this).serialize();
    swal("Aplicacion Asignada");
    $.ajax({          
      type: "POST",                           
      data: data,                   
      url: $this.attr('url'),                      
      success: function()             
      {
          setTimeout(function(){
              location.assign($this.attr('url2'))
          },2000);
      }
    });
  });
});